--- old/usr/src/man/man3c/index.3c	Tue Aug 12 07:52:12 2014
+++ new/usr/src/man/man3c/index.3c	Tue Aug 12 07:52:12 2014
@@ -1,4 +1,3 @@
-'\" te
 .\"  Copyright (c) 2002, Sun Microsystems, Inc. All Rights Reserved  Portions Copyright (c) 1992, X/Open Company Limited  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,71 +6,71 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH INDEX 3C "Jul 24, 2002"
-.SH NAME
-index, rindex \- string operations
-.SH SYNOPSIS
-.LP
-.nf
-#include <strings.h>
-
-\fBchar *\fR\fBindex\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
-.fi
-
-.LP
-.nf
-\fBchar *\fR\fBrindex\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBindex()\fR and \fBrindex()\fR functions operate on null-terminated
-strings.
-.sp
-.LP
-The \fBindex()\fR function returns a pointer to the first occurrence of
-character \fIc\fR in string \fIs\fR.
-.sp
-.LP
-The \fBrindex()\fR function returns a pointer to the last occurrence of
-character \fIc\fR in string \fIs\fR.
-.sp
-.LP
-Both \fBindex()\fR and  \fBrindex()\fR return a null pointer if \fIc\fR does
+.Dd "Jul 20, 2014"
+.Dt INDEX 3C
+.Os
+.Sh NAME
+.Nm index, rindex
+.Nd locate character in string
+.Sh SYNOPSIS
+.In strings.h
+.Ft char *
+.Fn index "const char *s" "int c"
+.Ft char *
+.Fn rindex "const char *s" "int c"
+.Sh DESCRIPTION
+The
+.Fn index
+and
+.Fn rindex
+functions operate on null-terminated strings.
+.Lp
+The
+.Fn index
+function returns a pointer to the first occurrence of
+character
+.Fa c
+in string
+.Fa s .
+.Lp
+The
+.Fn rindex
+function returns a pointer to the last occurrence of
+character
+.Fa c
+in string
+.Fa s .
+.Lp
+Both
+.Fn index
+and
+.Fa rindex
+return a null pointer if
+.Fa c
+does
 not occur in the string. The null character terminating a string is considered
 to be part of the string.
-.SH USAGE
-.sp
-.LP
-On most modern computer systems, you can \fInot\fR use a null pointer to
-indicate a null string.  A null pointer is an error and results in an abort of
-the program.  If you wish to indicate a null string, you must use a pointer
-that points to an explicit null string.  On some machines and with some
-implementations of the C programming language, a null pointer, if dereferenced,
-would yield a null string.  Though often used, this practice is not always
-portable. Programmers using a null pointer to represent an empty string should
-be aware of this portability issue.  Even on machines where dereferencing a
-null pointer does not cause an abort of the program, it does not necessarily
-yield a null string.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBbstring\fR(3C), \fBmalloc\fR(3C), \fBstring\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+.Sh USAGE
+The
+.Xr strchr 3C
+and
+.Xr strrchr 3C
+should be used in portable applications; those functions are specified in
+.St -isoC
+whereas these are not.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Async-Signal-Safe .
+.Sh SEE ALSO
+.Xr bstring 3C ,
+.Xr malloc 3C ,
+.Xr string 3C ,
+.Xr standards 5
+.Sh STANDARDS
+These functions were part of
+.At v6 ,
+were added in
+.St -p1003.1-2001 ,
+and subsequently removed from
+.St -p1003.1-2008 .
